{% extends 'base.html.twig' %}

{% block title %}
Sym.Shop - Produits
{% endblock %}

{% block body %}
    <div class="container mt-4">
    {% if not products is same as([]) %}
        <div class="container d-flex justify-content-center">
            <h1>Liste des produits</h1>
        </div>
        {# total items count #}
        <div class="count">
            <small>Il y'a {{ products.getTotalItemCount }} produits au total</small>
        </div>

        <table class="table table-hover">
            <thead>
                <tr>
                <th scope="col">ID</th>
                <th scope="col">Nom</th>
                <th scope="col">Price</th>
                <th scope="col">Catégorie</th>
                <th scope="col">Quantité</th>
                <th scope="col">Description</th>
                <th scope="col">Auteur</th>
                <th scope="col">Date</th>
                </tr>
            </thead>
            <tbody>
            {% for product in products %}
                <tr class="table-light">
                        <td>{{ product.id }}</td>
                        <td>{{ product.name }}</td>
                        <td>{{ product.price }}</td>
                        <td>{{ product.category }}</td>
                        <td>{{ product.quantity }}</td>
                        <td>{{ product.description }}</td>
                        <td>{{ product.author }}</td>
                        <td>{{ product.datecreate|date('d/m/Y H:i') }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table> 
        {# display navigation #}
        <div class="navigation d-flex justify-content-center mt-4">
            {{ knp_pagination_render(products) }}
        </div>
        {% else %}
        <h3>Il n'y a pas de produits</h3>
        {% endif %}
    </div>
{% endblock %}
